<?php
/* Autor...:  */
/* Esquema.: MST_TipoUbicacion.xml */
/* Generado: 2020-08-18 04:21:28 */

/* Metodos de acceso a los campos de la tabla MST_TipoUbicacion */
abstract class BaseMST_TipoUbicacionBN
{
    /* Campos de la tabla */
    private $i_IdTipoUbicacion;    // IdTipoUbicacion: ( no definido )
    private $s_Nombre;    // Nombre: ( no definido )
    private $i_Nivel;    // Nivel: ( no definido )
    private $s_ImagenUbicacion;    // ImagenUbicacion: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )

    /* Establece el valor del campo IdTipoUbicacion */
    public function setIdTipoUbicacion( $i_IdTipoUbicacion )
    {
        $this->i_IdTipoUbicacion = $i_IdTipoUbicacion;
    }

    /* Obtiene el valor del campo IdTipoUbicacion */
    public function getIdTipoUbicacion()
    {
        return $this->i_IdTipoUbicacion;
    }

    /* Establece el valor del campo Nombre */
    public function setNombre( $s_Nombre )
    {
        $this->s_Nombre = $s_Nombre;
    }

    /* Obtiene el valor del campo Nombre */
    public function getNombre()
    {
        return $this->s_Nombre;
    }

    /* Establece el valor del campo Nivel */
    public function setNivel( $i_Nivel )
    {
        $this->i_Nivel = $i_Nivel;
    }

    /* Obtiene el valor del campo Nivel */
    public function getNivel()
    {
        return $this->i_Nivel;
    }

    /* Establece el valor del campo ImagenUbicacion */
    public function setImagenUbicacion( $s_ImagenUbicacion )
    {
        $this->s_ImagenUbicacion = $s_ImagenUbicacion;
    }

    /* Obtiene el valor del campo ImagenUbicacion */
    public function getImagenUbicacion()
    {
        return $this->s_ImagenUbicacion;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdTipoUbicacion' => $this->getIdTipoUbicacion(),
            'Nombre' => $this->getNombre(),
            'Nivel' => $this->getNivel(),
            'ImagenUbicacion' => $this->getImagenUbicacion(),
            'Estado' => $this->getEstado(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto MST_TipoUbicacionBN desde un RecordSet */
    public static function retrieveByRs( $o_MST_TipoUbicacionRs )
    {
        $o_MST_TipoUbicacionBN = new MST_TipoUbicacionBN();
        $o_MST_TipoUbicacionBN->setIdTipoUbicacion( ( integer ) $o_MST_TipoUbicacionRs[ "IdTipoUbicacion" ] );
        $o_MST_TipoUbicacionBN->setNombre( $o_MST_TipoUbicacionRs[ "Nombre" ] );
        $o_MST_TipoUbicacionBN->setNivel( ( integer ) $o_MST_TipoUbicacionRs[ "Nivel" ] );
        $o_MST_TipoUbicacionBN->setImagenUbicacion( $o_MST_TipoUbicacionRs[ "ImagenUbicacion" ] );
        $o_MST_TipoUbicacionBN->setEstado( $o_MST_TipoUbicacionRs[ "Estado" ] );
        $o_MST_TipoUbicacionBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_MST_TipoUbicacionRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_MST_TipoUbicacionBN->setUsuarioCreacion( $o_MST_TipoUbicacionRs[ "UsuarioCreacion" ] );
        $o_MST_TipoUbicacionBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_MST_TipoUbicacionRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_MST_TipoUbicacionBN->setUsuarioModificacion( $o_MST_TipoUbicacionRs[ "UsuarioModificacion" ] );
        return $o_MST_TipoUbicacionBN;
    }
}
?>